Subject: Re: [Ace] [ace] Fwd: New Version Notification for draft-tiloca-ace-revoked-token-notification-01.txt

From: Carsten Bormann <[email-masked]>
Date: Mon, 18 May 2020 13:40:55 +0200

> 
> Comments are very welcome.

(1) I can’t parse

          the binary
          representation of the String value of ENCODED_TOKEN, which
          would depend on the used charset.

What charset?  JSON does not have a charset.  (I’m probably misreading this.)
What *is* the “String value of ENCODED_TOKEN”?

(2) query parameters: diff=true and N=I are a bit redundant to each other.  If you have N, you need to have diff=true, which therefore can be omitted.  diff=I  or diff  (no equals sign) would therefore be simpler forms of this.

(3) Re CDDL:  I read this as

token-hash = bytes
trl = [* token-hash]
diff-entry = {removed => trl, added => trl}
diff = [* diff-entry]

removed = 0
added = 1

I would simplify diff-entry as a record instead of a struct ( https://tools.ietf.org/html/rfc8610#section-2 ):

diff-entry = [removed: trl, added: trl]

i.e., leave out the labels and rely on the order in the array.

I didn’t make up CDDL for the registration response, as I don’t know what the “…” is.

(4) Why do we need all that precision what was added and removed when?

(5) On the diff stream, please see also STP: 

https://tools.ietf.org/html/draft-bormann-t2trg-stp-03

Grüße, Carsten